<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');
$date=date("Y-m-d");
$hora=date("H:i:s");
$can=mysqli_query($con,"SELECT MAX(cot_id)as cot_id FROM cotizacion") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$cot_id=$dato['cot_id']+1;
$can=mysqli_query($con,"SELECT MAX(cot_n_cotizacion)as cot_n_cotizacion FROM cotizacion where empresa='$empresa'") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$cot_n_cotizacion=$dato['cot_n_cotizacion']+1;
$can=mysqli_query($con,"SELECT * FROM cliente c, cliente_venta_temp cv where c.clie_id=cv.cvt_clie_id and cv.usuario='$usu_id' and cv.empresa='$empresa'") or die(mysqli_error($con)); 
if($dato=mysqli_fetch_array($can))
{
    $clie_id=$dato['clie_id'];
    $cot_cc=$dato['clie_cc'];
    $cot_nombre=$dato['clie_nombre'];
    $cot_correo=$dato['clie_correo'];
    $cot_telefono=$dato['clie_telefono'];
}
else
{
    $can=mysqli_query($con,"SELECT * FROM cliente where clie_destacado='si' and empresa='$empresa'") or die(mysqli_error($con));
    $row=mysqli_fetch_array($can);
    $clie_id=$row['clie_id'];
    $cot_cc=$row['clie_cc'];
    $cot_nombre=$row['clie_nombre'];
    $cot_telefono=$row['clie_telefono'];
    $cot_correo=$row['clie_correo'];
}
 
$insert_detail=mysqli_query($con,"INSERT INTO cotizacion (cot_id,cot_n_cotizacion,cliente_id,cot_cc,cot_nombre,cot_telefono,cot_correo,cot_fecha,cot_hora,cot_validez,cot_estado,vendedor,sucursal,empresa) 
VALUES ('$cot_id','$cot_n_cotizacion','$clie_id','$cot_cc','$cot_nombre','$cot_telefono','$cot_correo','$date','$hora','15 días','Pendiente','$usu_id','$sucursal','$empresa')");

$can7=mysqli_query($con,"SELECT * FROM venta_detalle_temp where empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));  
$number  = mysqli_num_rows($can7);
while($dato=mysqli_fetch_array($can7))
{
    $art_art_id=$dato['art_art_id'];
    $cott_art_id=$dato['vent_art_id'];
    $cott_referencia=$dato['vent_referencia'];            
    $cott_nombre=$dato['vent_nombre']; 
    $vent_unidad=$dato['vent_unidad']; 
    $vent_x_cantidad=$dato['vent_x_cantidad']; 
    $cott_cantidad=$dato['vent_cantidad']; 
    $cott_iva=$dato['vent_iva'];  
    $cott_descuento=$dato['vent_desc'];         
    $cott_precio=$dato['vent_precio'];
    $vent_tipo=$dato['vent_tipo'];

    $insert=mysqli_query($con,"INSERT INTO cotizacion_detalle (art_id_bod,cotd_art_id,cotd_referencia,cotd_nombre,cotd_unidad,cotd_x_cantidad,cotd_tipo,cotd_cantidad,cotd_iva,cotd_desc,cotd_precio,cambio,empresa,cotizacion_cot_id) 
    VALUES ('$art_art_id','$cott_art_id','$cott_referencia','$cott_nombre','$vent_unidad','$vent_x_cantidad','$vent_tipo','$cott_cantidad','$cott_iva','$cott_descuento','$cott_precio','ven','$empresa','$cot_id')");

}
$ret=mysqli_query($con,"SELECT * FROM retencion_cot_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));  
while($rett=mysqli_fetch_array($ret))
{
    $retencion_ret_id=$rett['retencion_ret_id'];
    $rete=mysqli_query($con,"SELECT * FROM retencion where empresa='$empresa' and ret_id='$retencion_ret_id' ") or die(mysqli_error($con));
    $rete=mysqli_fetch_array($rete);
    $ret_porcentaje=$rete['ret_porcentaje'];

    $can8=mysqli_query($con,"INSERT INTO retencion_cotizacion (porcentaje,empresa,retencion_ret_id,cotizacion_cot_id) 
    VALUES ('$ret_porcentaje','$empresa','$retencion_ret_id','$cot_id')") or die(mysqli_error($con));  
}


$sql=mysqli_query($con,"DELETE FROM seriales_temp WHERE usuario='$usu_id'") or die(mysqli_error($con));
$sql=mysqli_query($con,"DELETE FROM venta_detalle_temp_lote where usuario='$usu_id'") or die(mysqli_error($con));
$sql=mysqli_query($con,"DELETE FROM venta_detalle_sabores_temp where usuario='$usu_id'") or die(mysqli_error($con));
$sql=mysqli_query($con,"DELETE FROM venta_detalle_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));

$sql=mysqli_query($con,"DELETE FROM venta_detalle_combo_sabores_temp where usuario='$usu_id'") or die(mysqli_error($con));
$sql=mysqli_query($con,"DELETE FROM venta_detalle_combo_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));

$sql=mysqli_query($con,"DELETE FROM cliente_venta_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));
$sql=mysqli_query($con,"DELETE FROM retencion_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));
?>
<div id="modal2"> 
    <div class="alert alert-info alert-dismissable">
        <strong>Desea Imprimir!</strong> <a href="#" class="alert-link"></a>
    </div>           
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Venta Nueva</button>
            <?php include('../include/boton_cotizacion2.php'); ?>
            <a href="#" class="btn btn-info" title='Enviar por email' onclick="enviar_email('<?php echo $cot_id; ?>')"><i class="btn-icon-only icon-envelope"> Enviar Correo</i></a>
    </div>
</div>   
<script type="text/javascript">
function enviar_email(cot_id)
{
    VentanaCentrada('./libraries/pdf/pdf_correos/email_cotizacion.php?cot_id='+cot_id,'Factura','','800','600','true');
}
</script>